/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "按要求统计相关缺陷数据")
public class CountBugDetailDto implements Serializable
{
    private String projectId;
    private Integer validBugAmount;
    private Integer highGradeBugAmount;
    private Integer closeBugAmount;
    private Double bugAvgLifeCycle;

    public Integer getCloseBugAmount() {
        return closeBugAmount;
    }

    public void setCloseBugAmount(Integer closeBugAmount) {
        this.closeBugAmount = closeBugAmount;
    }

    public Double getBugAvgLifeCycle() {
        return bugAvgLifeCycle;
    }

    public void setBugAvgLifeCycle(Double bugAvgLifeCycle) {
        this.bugAvgLifeCycle = bugAvgLifeCycle;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getValidBugAmount() {
        return validBugAmount;
    }

    public void setValidBugAmount(Integer validBugAmount) {
        this.validBugAmount = validBugAmount;
    }

    public Integer getHighGradeBugAmount() {
        return highGradeBugAmount;
    }

    public void setHighGradeBugAmount(Integer highGradeBugAmount) {
        this.highGradeBugAmount = highGradeBugAmount;
    }

    @Override
    public String toString() {
        return "CountBugDetailDto{" +
                "projectId='" + projectId + '\'' +
                ", validBugAmount=" + validBugAmount +
                ", highGradeBugAmount=" + highGradeBugAmount +
                ", closeBugAmount=" + closeBugAmount +
                ", bugAvgLifeCycle=" + bugAvgLifeCycle +
                '}';
    }
}